{% extends "base.twig" %}

{% block content %}
	<div class="{{ theme_layout }}">
		<div class="row">
			<div class="col">
				<article class="post-type-{{ post.post_type }}" id="post-{{ post.ID }}">
					<img src="{{ post.thumbnail.src|resize(1200, 300) }}">
					<section class="article-content">
						<h1>{{ post.title }}</h1>
						<p class="blog-author">
							<span>{{ __( 'By', MST_THEME_DOMAIN ) }}</span> <a href="{{ post.author.path }}">{{ post.author.name }}</a> <span>&bull;</span> <time datetime="{{ post.date|date('Y-m-d H:i:s') }}">{{ post.date }}</time>
						</p>
						<div class="article-body">
							{{ post.content }}
						</div>
					</section>

					<section class="comment-box">
						<div class="comments">
							{% if post.comments %}
								<h3>{{ __( 'Comments', MST_THEME_DOMAIN ) }}</h3>
								{% for cmt in post.comments %}
									{% include "partials/comment.twig" with { 'comment': cmt } %}
								{% endfor %}
							{% endif %}
						</div>

						{% if post.comment_status == "closed" %}
							<p>{{ __( 'Comments for this post are closed', MST_THEME_DOMAIN ) }}</p>
						{% else %}
							{% include "partials/comment-form.twig" %}
						{% endif %}
					</section>
				</article>
			</div>
		</div>
	</div>
{% endblock %}
